<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myStockOpnameLabel" jhiTranslate="mpmApp.stockOpname.home.createOrEditLabel">Create or edit a Stock Opname</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
            <div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!stockOpname.idStockOpname">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="stockOpname.idStockOpname" readonly /> </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.stockOpnameNumber" for="field_stockOpnameNumber">Stock Opname Number</label>
                    <input type="text" class="form-control" name="stockOpnameNumber" id="field_stockOpnameNumber" [(ngModel)]="stockOpname.stockOpnameNumber"
                    /> </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.dateCreated" for="field_dateCreated">Date Created</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="stockOpname.dateCreated" dateFormat="dd-mm-yy"
                            [showTime]="true" hourFormat="24" [showSeconds]="true" [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group" *ngIf="idCalendar === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.calendar" for="field_calendar">Calendar</label>
                    <select class="form-control" id="field_calendar" name="calendar" [(ngModel)]="stockOpname.calendarId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="standardCalendarOption.idCalendar" *ngFor="let standardCalendarOption of standardcalendars; trackBy: trackStandardCalendarById">{{standardCalendarOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="stockOpname.internalId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idStockOpnameType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.stockOpnameType" for="field_stockOpnameType">Stock Opname Type</label>
                    <select class="form-control" id="field_stockOpnameType" name="stockOpnameType" [(ngModel)]="stockOpname.stockOpnameTypeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="stockOpnameTypeOption.idStockOpnameType" *ngFor="let stockOpnameTypeOption of stockopnametypes; trackBy: trackStockOpnameTypeById">{{stockOpnameTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_stockOpnameFacility">Stock Opname Facility</label>
                    <select class="form-control" id="field_stockOpnameFacility" name="stockOpnameFacility" [(ngModel)]="stockOpname.stockOpnameFacilityId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="stockOpnameFacilityOption.idFacility" *ngFor="let stockOpnameFacilityOption of facilityList; trackBy: trackStockOpnameFacilityById">{{stockOpnameFacilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idStockOpnameContainer === undefined">
                    <label class="form-control-label" for="field_stockOpnameContainer">Stock Opname Container</label>
                    <select class="form-control" id="field_stockOpnameContainer" name="stockOpnameContainer" [(ngModel)]="stockOpname.stockOpnameContainerId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="stockOpnameContainerOption.idContainer" *ngFor="let stockOpnameContainerOption of containerList; trackBy: trackStockOpnameContainerById">{{stockOpnameContainerOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban"
            class="ui-button-danger flat-label-button"> </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}"
            icon="fa-save" class="ui-button-primary flat-label-button"> </button>
    </div>
</form>
